using System.Collections.Generic;

using skydiveLogs_api.Domain;


namespace skydiveLogs_api.Business.Interfaces
{
    public interface IUserImageService
    {
        IEnumerable<UserImage> GetAllImages(User connectedUser);

        UserImage GetImageById(int id);

        void AddNewImage(UserImage image, User connectedUser);

        void UpdateImage(int id, UserImage image);

        void DeleteImageById(int id);
    }
}
